classification
Title: [PATCH] Updated fix for string to unicode fixes in time and datetime
Type: Stage:
Components: Versions: Python 3.0
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: Nosy List: ero.carrera, gvanrossum
Priority: normal Keywords: patch

Created on 2007-08-24 22:55 by ero.carrera, last changed 2007-09-02 20:04 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
time_datetime_pystring_patch_2.diff ero.carrera, 2007-08-24 22:55
Messages (2)
msg55279 - (view) Author: Ero Carrera (ero.carrera) Date: 2007-08-24 22:55
Small patch for the references leak in datetime and changed a strlen to
PyUnicode_GET_SIZE() in time
msg55433 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-08-29 20:33
The issue in datetimemodule.c was already fixed.

The fix to timemodule.c is wrong -- when there are non-ASCII characters
in the unicode string, the length of the UTF-8 conversion is not equal
to that of the original Unicode string.
History
Date User Action Args
2007-09-02 20:04:44loewissetkeywords: + patch
2007-08-29 20:33:37gvanrossumsetstatus: open -> closed
resolution: duplicate
messages: + msg55433
nosy: + gvanrossum
2007-08-24 22:55:24ero.carreracreate